summaryrefslogtreecommitdiff
path: root/ndb/home/bin/fix-cvs-root
diff options
context:
space:
mode:
Diffstat (limited to 'ndb/home/bin/fix-cvs-root')
-rwxr-xr-xndb/home/bin/fix-cvs-root17
1 files changed, 17 insertions, 0 deletions
diff --git a/ndb/home/bin/fix-cvs-root b/ndb/home/bin/fix-cvs-root
new file mode 100755
index 00000000000..2c4f158f825
--- /dev/null
+++ b/ndb/home/bin/fix-cvs-root
@@ -0,0 +1,17 @@
+#! /bin/sh
+
+# change all CVS/Root to current CVSROOT
+
+[ "$CVSROOT" ] || { echo "no CVSROOT in environment" >&2; exit 1; }
+
+echo "changing all CVS/Root files under `pwd`"
+sleep 1
+
+find . -path '*/CVS/Root' -print |
+while read file; do
+ echo "$file"
+ chmod +w $file || exit 1
+ echo $CVSROOT >$file || exit 1
+done
+
+echo "done"